Name:          rofi
Version:       1.3.1
Release:       1%{?dist}
Summary:       A window switcher, run dialog and dmenu replacement

License:       MIT and Public Domain
URL:           https://davedavenport.github.io/rofi/
Source0:       https://github.com/DaveDavenport/rofi/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(xcb-aux)
BuildRequires:  pkgconfig(xcb-xkb)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xkbcommon-x11)
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xcb-xrm)
BuildRequires:  pkgconfig(xcb-randr)
BuildRequires:  pkgconfig(xcb-xinerama)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(cairo-xcb)
BuildRequires:  pkgconfig(libstartup-notification-1.0)

%description
A popup window switcher roughly based on superswitcher, requiring
only xlib and pango.

%prep
%autosetup
# E: wrong-script-interpreter /usr/bin/rofi-sensible-terminal /usr/bin/env bash
sed -i -e '1s|^#!/usr/bin/env bash|#!/bin/bash|' script/%{name}-{sensible-terminal,theme-selector}
# W: doc-file-dependency /usr/share/doc/rofi/Examples/i3_switch_workspaces.sh /bin/bash
sed -i -e '1{\@^#!/bin/bash@d}' Examples/*.sh
# W: spurious-executable-perm /usr/share/doc/rofi/Examples/i3_switch_workspaces.sh
chmod -x Examples/*

%build
%configure
%make_build V=1

%install
%make_install

%check
# https://github.com/DaveDavenport/rofi/issues/543
make check || :

%files
%doc AUTHORS Changelog README.md Examples
%license COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-sensible-terminal
%{_bindir}/%{name}-theme-selector
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-sensible-terminal.1*
%{_datadir}/%{name}/

%changelog
* Mon Jan 23 2017 Igor Gnatenko <ignatenko@redhat.com> - 1.3.1-1
- Update to 1.3.1
- Add Public Domain to license list
- Run tests

* Sun Nov 20 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.2.0-1
- Update to 1.2.0

* Sun Apr 17 2016 Maxim Orlov <murmansksity@gmail.com> - 1.0.0-1
- Update to 1.0.0
- Add xkbcommon dep version

* Sun Apr 03 2016 Maxim Orlov <murmansksity@gmail.com> - 1.0.0-0.1.rc1
- Update to 1.0.0rc1
- Add more BR's
- Use %%autosetup macro
- Remove tests
- Remove --enable-timings

* Sun Dec 27 2015 Maxim Orlov <murmansksity@gmail.com> - 0.15.12-1
- Update to 0.15.12

* Sun Nov 08 2015 Maxim Orlov <murmansksity@gmail.com> - 0.15.11-1
- Update to 0.15.11

* Sun Oct 25 2015 Maxim Orlov <murmansksity@gmail.com> - 0.15.10-1
- Update to 0.15.10

* Sun Sep 06 2015 Maxim Orlov <murmansksity@gmail.com> - 0.15.8-1
- Update to 0.15.8

* Fri Jul 24 2015 Maxim Orlov <murmansksity@gmail.com> - 0.15.7-1
- Initial package.
